/*
 * login.h
 *
 * Dave Pare, 1986
 * $Revision: 1.1 $ $Date: 93/06/29 08:58:16 $
 */

#include "queue.h"

struct candidate {
	int cnum;
	char countryname[32];
	char password[32];
	char remhost[32];
	char remuser[32];
	SAIL *iop;
	char *cmd;
	int state;
};

struct login {
	struct qelem queue;
	char remhost[32];
	char remuser[32];
	int cnum;
	int pid;
};

#define STAT_NORM	0
#define	STAT_WATCH	1

extern	struct candidate *candidates;
extern	int maxcandidates;

extern	struct login *lo_find();
extern	struct login *lo_next();
extern	struct login *lo_new();
extern	struct login *lo_cnum();
extern	struct candidate *cd_find();
extern	struct candidate *cd_byfd();
extern	struct candidate *cd_new();
extern	struct candidate *cd_next();
